wxRuby Documentation Home

# Wx::HtmlWidgetCell

HtmlWidgetCell is a class that provides a connection between HTML cells and widgets (an object derived
from Window). You can use it to display things like forms, input boxes etc. in an HTML window.

HtmlWidgetCell takes care of resizing and moving window.

## Derived from

HtmlCell

## Methods

- HtmlWidgetCell.new

### HtmlWidgetCell.new

HtmlWidgetCell.new(%(arg-type)Window% wnd, Integer w = 0)

Constructor.

#### Parameters

- wnd Connected window. It is parent window must be the HtmlWindow object within
  which it is displayed!
- w Floating width. If non-zero width of wnd window is adjusted so that it is
  always w percents of parent container’s width. (For example w = 100 means that the window
  will always have same width as parent container)

[This page automatically generated from the Textile source at 2023-06-09 00:45:28 +0000]